OCF_HEARTBEAT_MACHIN(7)

NAME
ocf_heartbeat_machine-info - Records various node attributes in the CIB

SYNOPSIS

machine-info [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This is a Virtual Machine and Container Registration Service Resource Agent. It records (in the CIB) attributes about the number of running virtual machines and containers running on the node. It uses systemd machinectl. Sample output: machines: 5

SUPPORTED PARAMETERS

pidfile
    PID file

    (optional, string, default "/run/resource-agents/MachineInfo-RESOURCE_ID")

delay
    Interval to allow values to stabilize

    (optional, string, default "0s")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 60s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a machine-info resource using the crm(8) shell:

    primitive p_machine-info ocf:heartbeat:machine-info \
      op monitor timeout="20s" interval="60s"

EXAMPLE PCS

The following is an example configuration for a machine-info resource using pcs(8)

    pcs resource create p_machine-info ocf:heartbeat:machine-info \
      op monitor timeout="20s" interval="60s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)